Loading...
Searching...
No Matches
ForceFields::MMFF::MMFFBondCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFBond * | operator() (const unsigned int bondType, const unsigned int atomType, const unsigned int nbrAtomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFBondCollection (std::string mmffBond="")

## Public Attributes

std::vector< MMFFBond > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iAtomType
| atom type vector for atom i
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom j
std::vector< std::uint8_t > | d_bondType
| bond type vector for bond i-j

## Detailed Description

Definition at line 333 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFBondCollection()

ForceFields::MMFF::MMFFBondCollection::MMFFBondCollection | ( | std::string | mmffBond = `""` | ) |

## Member Function Documentation

## operator()()

const MMFFBond * ForceFields::MMFF::MMFFBondCollection::operator() | ( | const unsigned int | bondType,
|  | const unsigned int | atomType,
|  | const unsigned int | nbrAtomType
| ) |  | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFBond object, NULL on failure.

Definition at line 339 of file MMFF/Params.h.

## Member Data Documentation

## d_bondType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBondCollection::d_bondType

bond type vector for bond i-j

Definition at line 402 of file MMFF/Params.h.

## d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBondCollection::d_iAtomType

atom type vector for atom i

Definition at line 400 of file MMFF/Params.h.

## d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBondCollection::d_jAtomType

atom type vector for atom j

Definition at line 401 of file MMFF/Params.h.

## d_params

std::vector<MMFFBond> ForceFields::MMFF::MMFFBondCollection::d_params

the parameter vector

Definition at line 399 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h